Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000648Dwarf FortressDwarf Mode -- Interface, Military Screenpublic2010-04-06 11:572010-07-13 17:36
Assigned ToToady One 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.31.11 
Summary0000648: militarydwarves holding many sets of weapons, shields
DescriptionFortress of 0000055:0000040 dwarves with a squad of 8 recruits. Made some training axes and wooden shields for them to spar with while i worked on metal equipment. Assigned the first two axes and shields manually, then discovered the uniform menu and decided to try that out. Made a new uniform with training axes and shields and assigned globally to squad. Currently, 1 dwarf is holding 3 axes and 3 shields, another dwarf is holding 2 axes and 2 shields, and the rest are equipped normally or did not have enough equipment to finish their uniform. Cannot confirm that the two dwarves I manually equipped earlier were the same ones that are doubling/tripling their equipment, HOWEVER I *can* verify that their current uniform list includes only 1 training axe and 1 shield, and there are checkmarks next to them to indicate that their uniform should have equipped successfully.

The dwarves with equipment duplication issues are holding 1 axe in 1 hand and everything else in the other hand. nothing is being 'hauled.'

dumping their weapons or unassigning them and reassigning them does not seem to work.
Steps To Reproducesince this happened, the save I was using was corrupted and unrecoverable with no backups. I will try to reproduce the error in the next fortress I attempt.
TagsEquipment, Military, multi wield
Attached Files

- Relationships
has duplicate 0001636closedLogical2u Dwarves equip multiple copies of armor and weapons 
has duplicate 0001892closedLogical2u Dwarves do not drop equipment on uniform change 
child of 0000535acknowledgedToady One Equipping weapons/armor on military is erratic 

-  Notes
Rafal99 (reporter)
2010-04-07 22:12

It seems that multiple shields in one hand happen because dwarves don't drop them when upgrading to better ones. I have several dwarves with 2 or 3 shields, but none of them has 2 shields of same material/quality, so it seems that they were upgrading earlier.
anomaly (reporter)
2010-04-07 23:34

I wish I had my old fortress so I could test what effect "cover" and "replace" would cause when they are toggled.
Rafal99 (reporter)
2010-04-08 19:36

I did some tests.
It seems that once a dwarf grabs a weapon or shield he is bound to it for all eternity...

Tried removing both weapon and shield in "Equip" tab in military screen from the multi-wielding dwarves, no effect.
Tried dumping all weapons and shields. No effect. Once I unforbid them dwarves rush and grab all of the shields and weapons they had equipped before dumping, ending up with the same equipment.
Tried both of the above and additionally removed the offending dwarves from their squads. No effect. They still grab all that stuff again when I unforbid it.
Also if I lock the offending dwavers in a room so that they can't grab their stuff other military dwarves won't touch anything, the equipment waits for its owners...
It is just bound to them and no way to remove it.
thvaz (reporter)
2010-04-08 19:42

Had this problem too, it's really annoying. And they carry all the weapons in the same hand.
Besides that, if your military commander dies and you assign another, he will use the same weapons the old one used...but this could be another unrelated bug.
Rafal99 (reporter)
2010-04-08 19:50

Yeah it is very annoying. And can't be worked around...
A few dwarves are holding 3 weapons each while all others are running into combat unarmed...

I can't play properly until this bug is fixed. :(
Draco18s (reporter)
2010-04-08 20:37

Had this problem too. Crossbow and two spears in one hand, another spear in the other.

(And still training "dodge")
Rafal99 (reporter)
2010-04-09 10:22

Ok I finally found the workaround:
1. Remove all squads
2. Remove all militia commanders and captains in the nobles screen
3. Remove all barracks, archery ranges and armory
4. Redo all military stuff from scratch.

At least they finally forgot about the all their equipment assignments... Three shields they was going to never drop... Ufff...

Now they will go and grab only 1 weapon and 1 shield, so awesome!
Jiri Petru (reporter)
2010-04-15 16:10

This seems to be caused by repeatedly assigning uniforms. I had a squad with the default "metal armor" uniforms (let's call it "set A"). I removed a shield manually from a couple of dwarves, which worked perfectly (making a "set B", which is the same as A but without a shield).

But when I wanted them to take the shield again, I just set them back to the metal armor uniform... it seems they put the uniform ("set A" on top of the equipment they wore previously ("set B"). Instead, they should have canceled the old setup ("set B") and worn only the new uniform ("set A")

Hope this was not confusing :)
OzoneGrif (reporter)
2010-04-17 16:23

I confirm what Jiri said...

Also to fix this,
- Disband your military squad
- Redo it directly with the right uniform
- Don't touch the equipment/uniform anymore...
Granite26 (reporter)
2010-04-28 19:10

Unlike Jiri, I started a new game from scratch and created a custom outfit. I created the squad with this custom outfit (mail and breastplate).

I currently have a dwarf refusing to wear her breastplate because she's got 3 mail shirts on. (Not that I'm complaining)

Sounds like this might be a second aspect of the same problem.
baruk (reporter)
2010-05-02 13:25

I may have found a simpler workaround that actually deletes the duplicated pieces of equipment - no need to reform the entire military.
  If you check (m)military - (e)equip - (P)Pri/Assignments you see every individual piece of equipment assigned to each squad position - here you can actually see the multiples of equipment that have been assigned. Unfortunately you can't delete them from this screen. You have to specifically assign the duplicated equipment on the (e) equip screen, before deleting it. This will remove the assignment from the Pri/Assignments page, and the duplicate should get dropped.
 In summary, my new workaround is to:
- identify the duplicate equipment on the Pri/Assignments page (via the military/equip menu).
- On the equip menu, assign the duplicated item to the dwarf "specifically", by finding the correct item in the list.
- Delete the assignment you just made. The duplicate should now disappear from the dwarf's equipment complement on the Pri/Assignments page, and the dwarf should drop the item.
Toady One (administrator)
2010-07-13 05:32

Yeah, "assign uniform" wasn't properly killing old assignments. Until 0.31.11, manually changing out slots should work fine. Squads that are already bugged will need to be disbanded though, yeah.

- Issue History
Date Modified Username Field Change
2010-04-06 11:57 anomaly New Issue
2010-04-06 12:43 Footkerchief Relationship added child of 0000535
2010-04-07 22:12 Rafal99 Note Added: 0001942
2010-04-07 23:34 anomaly Note Added: 0001962
2010-04-08 19:36 Rafal99 Note Added: 0002225
2010-04-08 19:37 Rafal99 Issue Monitored: Rafal99
2010-04-08 19:38 Rafal99 Tag Attached: Equipment
2010-04-08 19:39 Rafal99 Tag Attached: multi wield
2010-04-08 19:39 Rafal99 Tag Attached: Military
2010-04-08 19:42 thvaz Note Added: 0002229
2010-04-08 19:50 Rafal99 Note Added: 0002230
2010-04-08 20:37 Draco18s Note Added: 0002243
2010-04-08 21:03 bloodystump Issue Monitored: bloodystump
2010-04-09 10:22 Rafal99 Note Added: 0002353
2010-04-11 10:15 Footkerchief Relationship added parent of 0001000
2010-04-11 10:16 Footkerchief Relationship deleted parent of 0001000
2010-04-15 16:10 Jiri Petru Note Added: 0003768
2010-04-17 16:23 OzoneGrif Note Added: 0004005
2010-04-18 16:11 maximusfive Issue Monitored: maximusfive
2010-04-28 19:10 Granite26 Note Added: 0005617
2010-04-28 19:19 Iggyboo Issue Monitored: Iggyboo
2010-04-29 06:34 Logical2u Relationship added has duplicate 0001636
2010-05-02 13:25 baruk Note Added: 0005944
2010-05-16 06:21 Logical2u Relationship added has duplicate 0001892
2010-06-12 02:20 Graven Issue Monitored: Graven
2010-06-13 15:51 oliver Issue Monitored: oliver
2010-07-13 05:32 Toady One Note Added: 0010116
2010-07-13 05:32 Toady One Status new => resolved
2010-07-13 05:32 Toady One Fixed in Version => 0.31.11
2010-07-13 05:32 Toady One Resolution open => fixed
2010-07-13 05:32 Toady One Assigned To => Toady One
2010-07-13 08:06 bloodystump Issue End Monitor: bloodystump
2010-07-13 11:05 Rafal99 Issue End Monitor: Rafal99
2010-07-13 17:36 maximusfive Issue End Monitor: maximusfive

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker